<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ActionDropItemSimple Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d6/df2/class_action_drop_item_simple.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">ActionDropItemSimple Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ActionDropItemSimple:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d6/df2/class_action_drop_item_simple.png" usemap="#ActionDropItemSimple_map" alt=""/>
  <map id="ActionDropItemSimple_map" name="ActionDropItemSimple_map">
<area href="../../d2/de8/class_action_drop_item.html" alt="ActionDropItem" shape="rect" coords="0,0,135,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ab05823c8523542cee76e041687ce94fc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/df2/class_action_drop_item_simple.html#ab05823c8523542cee76e041687ce94fc">ActionDropItemSimple</a> ()</td></tr>
<tr class="separator:ab05823c8523542cee76e041687ce94fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62906fb33b5d20ab7729cf09d8f7cc97"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/df2/class_action_drop_item_simple.html#a62906fb33b5d20ab7729cf09d8f7cc97">IsInstant</a> ()</td></tr>
<tr class="separator:a62906fb33b5d20ab7729cf09d8f7cc97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaca7849a83084e7cfc7dee1231c49fcf"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/df2/class_action_drop_item_simple.html#aaca7849a83084e7cfc7dee1231c49fcf">MainItemAlwaysInHands</a> ()</td></tr>
<tr class="separator:aaca7849a83084e7cfc7dee1231c49fcf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88219ab7fab062229b39ca669cb00c48"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/df2/class_action_drop_item_simple.html#a88219ab7fab062229b39ca669cb00c48">CanBeUsedOnBack</a> ()</td></tr>
<tr class="separator:a88219ab7fab062229b39ca669cb00c48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb706bd2d4f589fba3db08df388a6b70"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/df2/class_action_drop_item_simple.html#abb706bd2d4f589fba3db08df388a6b70">Start</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:abb706bd2d4f589fba3db08df388a6b70"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64c38ccce4bf7c68ec0a3a48e3c38fe0"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/df2/class_action_drop_item_simple.html#a64c38ccce4bf7c68ec0a3a48e3c38fe0">PhysicalDropItem</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a64c38ccce4bf7c68ec0a3a48e3c38fe0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d7/d20/_action_drop_item_simple_8c_source.html#l00001">1</a> of file <a class="el" href="../../d7/d20/_action_drop_item_simple_8c_source.html">ActionDropItemSimple.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ab05823c8523542cee76e041687ce94fc" name="ab05823c8523542cee76e041687ce94fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab05823c8523542cee76e041687ce94fc">&#9670;&#160;</a></span>ActionDropItemSimple()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionDropItemSimple::ActionDropItemSimple </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d20/_action_drop_item_simple_8c_source.html#l00005">5</a> of file <a class="el" href="../../d7/d20/_action_drop_item_simple_8c_source.html">ActionDropItemSimple.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a88219ab7fab062229b39ca669cb00c48" name="a88219ab7fab062229b39ca669cb00c48"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a88219ab7fab062229b39ca669cb00c48">&#9670;&#160;</a></span>CanBeUsedOnBack()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionDropItemSimple::CanBeUsedOnBack </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d20/_action_drop_item_simple_8c_source.html#l00019">19</a> of file <a class="el" href="../../d7/d20/_action_drop_item_simple_8c_source.html">ActionDropItemSimple.c</a>.</p>

</div>
</div>
<a id="a62906fb33b5d20ab7729cf09d8f7cc97" name="a62906fb33b5d20ab7729cf09d8f7cc97"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a62906fb33b5d20ab7729cf09d8f7cc97">&#9670;&#160;</a></span>IsInstant()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionDropItemSimple::IsInstant </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d20/_action_drop_item_simple_8c_source.html#l00009">9</a> of file <a class="el" href="../../d7/d20/_action_drop_item_simple_8c_source.html">ActionDropItemSimple.c</a>.</p>

</div>
</div>
<a id="aaca7849a83084e7cfc7dee1231c49fcf" name="aaca7849a83084e7cfc7dee1231c49fcf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaca7849a83084e7cfc7dee1231c49fcf">&#9670;&#160;</a></span>MainItemAlwaysInHands()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionDropItemSimple::MainItemAlwaysInHands </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d20/_action_drop_item_simple_8c_source.html#l00014">14</a> of file <a class="el" href="../../d7/d20/_action_drop_item_simple_8c_source.html">ActionDropItemSimple.c</a>.</p>

</div>
</div>
<a id="a64c38ccce4bf7c68ec0a3a48e3c38fe0" name="a64c38ccce4bf7c68ec0a3a48e3c38fe0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a64c38ccce4bf7c68ec0a3a48e3c38fe0">&#9670;&#160;</a></span>PhysicalDropItem()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionDropItemSimple::PhysicalDropItem </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d20/_action_drop_item_simple_8c_source.html#l00034">34</a> of file <a class="el" href="../../d7/d20/_action_drop_item_simple_8c_source.html">ActionDropItemSimple.c</a>.</p>

</div>
</div>
<a id="abb706bd2d4f589fba3db08df388a6b70" name="abb706bd2d4f589fba3db08df388a6b70"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb706bd2d4f589fba3db08df388a6b70">&#9670;&#160;</a></span>Start()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionDropItemSimple::Start </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d20/_action_drop_item_simple_8c_source.html#l00024">24</a> of file <a class="el" href="../../d7/d20/_action_drop_item_simple_8c_source.html">ActionDropItemSimple.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/Actions/SingleUse/<a class="el" href="../../d7/d20/_action_drop_item_simple_8c_source.html">ActionDropItemSimple.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d6/df2/class_action_drop_item_simple.html">ActionDropItemSimple</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
